Bug 1342536 - The initial-setup-reconfiguration.service should be added to systemd presets file
Summary: The initial-setup-reconfiguration.service should be added to systemd presets ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: redhat-release
Version: 7.3
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Jan Blazek
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 1257624
TreeView+ depends on / blocked
 
Reported: 2016-06-03 13:02 UTC by Martin Kolman
Modified: 2016-11-03 22:09 UTC (History)
3 users (show)

Fixed In Version: redhat-release-server-7.3-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 22:09:51 UTC
Target Upstream Version:


Attachments (Terms of Use)
a proposed patch (821 bytes, patch)
2016-06-03 13:10 UTC, Martin Kolman
no flags Details | Diff
proposed patch v2 (828 bytes, patch)
2016-06-06 08:55 UTC, Martin Kolman
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2143 normal SHIPPED_LIVE redhat-release update 2016-11-03 13:11:14 UTC

Description Martin Kolman 2016-06-03 13:02:25 UTC
Description of problem:
As a fix for bug 1257624 Initial Setup will now have a new service called initial-setup-reconfiguration.service, which will take care of starting the actual Initial Setup service when a trigger file is detected. 

For this to work as expected the initial-setup-reconfiguration.service needs to be listed in the systemd preset file, so that it is always automatically enabled when the Initial Setup package is installed.

Additional info:
This this should also go to the other redhat-release packages (redhat-release-{client,computenode,workstation}).

Comment 1 Martin Kolman 2016-06-03 13:10:22 UTC
Created attachment 1164510 [details]
a proposed patch

Comment 2 Martin Kolman 2016-06-03 13:13:14 UTC
This is required for the fix for bug 1257624 to work correctly.

Comment 4 Martin Kolman 2016-06-06 08:52:20 UTC
Comment on attachment 1164510 [details]
a proposed patch

Missing the enable keyword, will upload a fixed patch.

Comment 5 Martin Kolman 2016-06-06 08:55:11 UTC
Created attachment 1165122 [details]
proposed patch v2

Added the enable keyword.

Comment 7 Michal Kovarik 2016-08-03 12:39:34 UTC
Verified on redhat-release-server-7.3-5, redhat-release-computenode-7.3-2.el7, redhat-release-client-7.3-2 and redhat-release-workstation-7.3-2.

Comment 9 errata-xmlrpc 2016-11-03 22:09:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2143.html


Note You need to log in before you can comment on or make changes to this bug.